Name:          antlr
Version:       4.9.3
Release:       1mamba
Summary:       Parser generator for reading, processing, executing, or translating structured text or binary files
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.antlr.org/
Source0:       https://www.antlr.org/download/antlr-%{version}-complete.jar
Source1:       antlr-bin
Source2:       antlr-bin-grun
License:       Public Domain
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: javapackages

%description
ANother Tool for Language Recognition, (formerly PCCTS) is a language tool that provides a framework for constructing recognizers, compilers, and translators from grammatical descriptions containing Java, C#, C++, or Python actions. ANTLR provides excellent support for tree construction, tree walking, and translation.

%prep
%setup -q -c -D -T

%build

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
install -D -m0644 %{SOURCE0} \
   %{buildroot}%{_javadir}/%{name}-%{version}-complete.jar
ln -s %{name}-%{version}-complete.jar %{buildroot}%{_javadir}/antlr-complete.jar

install -D -m0755 %{SOURCE1} %{buildroot}%{_bindir}/antlr
install -D -m0755 %{SOURCE2} %{buildroot}%{_bindir}/grun

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/antlr
%{_bindir}/grun
%{_javadir}/antlr-%{version}-complete.jar
%{_javadir}/antlr-complete.jar

%changelog
* Sat Nov 06 2021 Automatic Build System <autodist@mambasoft.it> 4.9.3-1mamba
- automatic version update by autodist

* Sat Apr 10 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 4.9.2-1mamba
- update to 4.9.2

* Fri Feb 25 2011 gil <puntogil@libero.it> 2.7.7-9mamba
- rebuilt with java-gcj-compat 1.0.80-20mamba support

* Thu Nov 25 2010 gil <puntogil@libero.it> 2.7.7-8mamba
- rebuilt devel

* Sun Aug 29 2010 gil <puntogil@libero.it> 2.7.7-7mamba
- added new sub package: C++ C++-doc python-antlr sharp

* Thu Nov 12 2009 gil <puntogil@libero.it> 2.7.7-6mamba
- new sub package antlr-repolib

* Sat Sep 05 2009 gil <puntogil@libero.it> 2.7.7-5mamba
- rebuilt

* Sat May 30 2009 gil <puntogil@libero.it> 2.7.7-4mamba
- add maven2 pom

* Sat May 30 2009 gil <puntogil@libero.it> 2.7.7-3mamba
- linked jar files in %{_libdir}

* Wed Mar 11 2009 gil <puntogil@libero.it> 2.7.7-2mamba
- moved the jar files in %{_javadir}

* Fri Feb 20 2009 gil <puntogil@libero.it> 2.7.7-1mamba
- update to 2.7.7
- added packages: manual, javadoc
- added mono support
- added http://www.jedit.org/ support

* Wed Aug 17 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 2.7.5-1qilnx
- package created by autospec
